DCMTK - Feature #367

libiconv ist ggf. doppelt vorhanden
2012-03-07 00:00 - J6rg Riesmeier

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Library and Apps Estimated time: 0:00 hour

Target version:

Module: all (insb. decmdata und dcmsr) Compiler:

Operating System:

Description

libiconv kann nicht nur als optionale, externe Bibliothek aktiviert werden (WITH_LIBICONV), es ist ggf. auch in der libxml2
"enthalten”, um Zeichensatzkonvertierungen durchzufiihren. Fehlt die libconv-Unterstiitzung in der libxml2, ist aber als separate
Bibliothek aktiviert, dann kénnten die Zeichensatzkonvertierung Uber diese Bibliothek durchgefiihrt werden.

Achtung bei Erstellen von Binardateien: libiconv steht unter der LGPL-Lizenz!

Related issues:

Related to DCMTK - Patch #698: Trying to link against the iconv library altho... Closed 2016-10-25
Related to DCMTK - Bug #837: Fix incompatibility between DCMTK's own FindICON... Closed 2018-06-19
History

#1 - 2012-06-14 10:53 - J6rg Riesmeier

Das betrifft unter anderem die beiden Kommandozeilenprogramme xml2dcm und xml2dsr.

#2 - 2013-10-23 13:31 - J6rg Riesmeier
- Category set to Library and Apps

#3 - 2018-06-19 10:04 - Jan Schlamelcher
- Related to Bug #837: Fix incompatibility between DCMTK's own FindICONV.cmake and the official one added

#4 - 2018-11-11 17:11 - J6rg Riesmeier
It seems that newer versions of libxmI2 can also be compiled with ICU support. See define LIBXML_ICU_ENABLED.

2025-09-06 1/1



http://www.tcpdf.org

